curl --request POST \
--url https://api-lr.agent.ai/v1/action/hubspot.v2.update_object \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"object_type": "<string>",
"identification_method": "HubSpot ID",
"identifier_value": "<string>",
"properties": "<string>",
"output_variable_name": "updated_object",
"associations": "<string>"
}
'{
"status": 123,
"response": {}
}Update HubSpot Object
curl --request POST \
--url https://api-lr.agent.ai/v1/action/hubspot.v2.update_object \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"object_type": "<string>",
"identification_method": "HubSpot ID",
"identifier_value": "<string>",
"properties": "<string>",
"output_variable_name": "updated_object",
"associations": "<string>"
}
'{
"status": 123,
"response": {}
}Bearer token from your account (https://agent.ai/user/integrations#api)
HubSpot ID, Email Address (Contacts only), Company Domain (Companies only) The value to identify the object to update.
Variable name to store the updated object.